Class | WSDL::XMLSchema::SimpleContent
In: | wsdl/xmlSchema/simpleContent.rb
Parent: | Info

### Methods

base check_lexical_format new parse_element targetnamespace

### Attributes

extension | [R] |
restriction | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/simpleContent.rb, line 25
      def initialize
        super
        @restriction = nil
        @extension = nil
      end

### Public Instance methods

base()

[Source]

    # File wsdl/xmlSchema/simpleContent.rb, line 31
      def base
        content.base
      end

check_lexical_format(value)

[Source]

    # File wsdl/xmlSchema/simpleContent.rb, line 21
      def check_lexical_format(value)
        check(value)
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/simpleContent.rb, line 39
      def parse_element(element)
        case element
        when RestrictionName
          @restriction = SimpleRestriction.new
          @restriction
        when ExtensionName
          @extension = SimpleExtension.new
          @extension
        end
      end

targetnamespace()

[Source]

    # File wsdl/xmlSchema/simpleContent.rb, line 35
      def targetnamespace
        parent.targetnamespace
      end

[Validate]